Koordinatensysteme und Verschiebungen (C2)

1.1 EinleitungPAGEREF _Toc304467631 \h3

1.2 Beschreibung 23

1.2.1 Übersicht 23

1.2.2 Koordinatensysteme 23

1.2.2.1 Anwahl eines Koordinatensystems (CS) 23

1.2.2.2 Drehung in der Ebene (Konturrotation) 23

1.2.2.3 Koordinatensystem zur Aufspannlagenkorrektur (ACS) 23

1.2.2.4 Verkettung von Koordinatensystemen 23

1.2.2.5 Effektor Koordinatensystem (ECS) 23

1.2.2.6 Temporärer Übergang in das Maschinenkoordinatensystem (MCS) 23

1.2.3 Messoffset 23

1.2.4 Handbetrieboffset 23

1.2.5 Istwertverschiebung 23

1.2.6 Bezugspunktverschiebung 23

1.2.7 Nullpunktverschiebung 23

1.2.8 Werkzeugversatz 23

1.2.8.1 Tool Length Compensation (TLC) 23

1.2.9 Platzversatz 23

1.2.10 Unterdrückung von Verschiebungen 23

1.3 Parameter 23

1.3.1 Übersicht 23

1.3.2 Achsparameter 23

1.3.3 Kanalparameter 23

Mehr:

button Einleitung

button Beschreibung

button Parameter


Einleitung

Aufgabe

Durch die Anwahl eines Koordinatensystems (CS) kann das Bearbeitungskoordinatensystem (BKS) gegenüber dem Maschinenkoordinatensystem (MKS) verschoben und gedreht werden. Da sich die NC-Programm-Koordinaten auf das BKS beziehen, wird somit selbst in schrägen oder verdrehten Lagen eine einfache NC-Programmierung ermöglicht.

Da die Anwahl eines Koordinatensystems letztendlich als Verschiebung betrachtet werden kann, wird hier auch auf die anderen Verschiebungen eingegangen.

Die folgenden Verschiebungen stehen zur Verfügung:

q Verschiebung aufgrund einer Koordinatensystemanwahl

q Verschiebung durch eine Messfahrt

q Verschiebung durch Handbetrieb bei paralleler Interpolation

q Verschiebung durch Istwertsetzen

q Bezugspunktverschiebung

q Werkzeugversatz

q Nullpunktverschiebung

q Platzversatz

Wirksamkeit

Verschiebungen wirken grundsätzlich von der Anwahl bis zur Abwahl bzw. Umparametrierung.

Die während angewähltem Koordinatensystem zusätzlich programmierten Verschiebungen sind nur bis zur Abwahl des Koordinatensystems gültig.

Sonderfall im G91-Modus:

Neu angewählte Verschiebungen wirken sich erst bei Programmierung im absoluten Mess-System (G90) aus, da bei Relativprogrammierung (G91) immer nur der angegebene Verfahrweg ausgefahren werden darf.

Ausnahme Werkzeugversätze:

Bei entsprechender Parametrierung werden die Werkzeugversätze ohne Programmierung einer Verfahrbewegung direkt mit Anwahl des D-Wortes [PROG] ausgefahren.

Parametrierung

Parametrierung per NC-Programm:

q Verschiebung aufgrund einer Koordinatensystemanwahl

q Verschiebung durch eine Messfahrt

q Verschiebung durch Istwertsetzen

q Bezugspunktverschiebung

q Verschiebung durch Handbetrieb bei paralleler Interpolation

Parametrierung per Werkzeugparameterliste [TOOL]:

q Werkzeugversatz

Parametrierung per Nullpunktdatenliste [ZERO]:

q Nullpunktverschiebung

Parametrierung per Platzversatzdatenliste [CLMP]:

q Platzversatz


Beschreibung

Aufgabe des Koordinaten-
systems

Das Bearbeitungskoordinatensystem (BKS) kann durch Anwahl eines Koordinatensystems (CS) gegenüber dem Maschinenkoordinatensystem (MKS) verschoben und gedreht werden (siehe Abbildung 1-1). Dies ermöglicht eine einfache NC-Programmierung selbst in schrägen oder verdrehten Lagen.

NC-Programm-Koordinaten beziehen sich auf das BKS.

Abbildung 1-1: BKS nach Anwahl eines Koordinatensystems

Verschiebungen

Die Anwahl eines Koordinatensystems erzeugt eine zusätzliche Verschiebung des BKS. Insgesamt stehen in der CNC die folgenden Verschiebungen zur Verfügung:

q Verschiebung aufgrund einer Koordinatensystemanwahl

q Verschiebung durch eine Messfahrt

q Verschiebung durch Handbetrieb bei paralleler Interpolation

q Verschiebung durch Istwertsetzen

q Bezugspunktverschiebung

q Werkzeugversatz

q Nullpunktverschiebung

q Platzversatz

Mehr:

button Übersicht

button Koordinatensysteme

button Messoffset

button Handbetrieboffset

button Istwertverschiebung

button Bezugspunktverschiebung

button Nullpunktverschiebung

button Werkzeugversatz

button Platzversatz

button Unterdrückung von Verschiebungen


Übersicht

Abbildung 1-2 gibt eine Übersicht über die Verschiebungen.

Die Verschiebungen können parallel angewählt werden.

Abbildung 1-2: Alle Verschiebungen im Überblick

Abbildung 1-3 zeigt die Unterschiede bei der Definition und der Anwahl der einzelnen Verschiebungen.

Abbildung 1-3: Anwahl der Verschiebungen

Mit den nachfolgenden NC-Befehlen bzw. Parametern werden die Verschiebungen angewählt bzw. eingerechnet.

NC-Befehl | Beschreibung
#CS, #ACS, #ECS, #ROTATION | Anwahl eines Koordinatensystems : : Drehung in der Ebene
G101 | Messoffset einrechnen
G201 #GET IPO OFFSET | Handbetrieboffsets einrechnen
#PSET | Istwertsetzen anwählen
G92 | Bezugspunktverschiebung
G54, ... G59, G159 | Anwahl der Nullpunktsverschiebungen
D | Werkzeuggeometriekorrektur

Variable | Beschreibung
pzv_index | Index zur Anwahl des Platzversatzes. Dieser muss bei Beauftragung eines NC-Programms zusammen mit dem NC-Programmnamen mit angegeben werden.


Koordinatensysteme

Die Koordinatensysteme werden per NC-Befehl an- und abgewählt und auch definiert. Im Folgenden wird jeweils nur kurz auf die Programmierung eingegangen. Eine detaillierte Beschreibung der NC-Befehle ist in [PROG] zu finden.

Mehr:

button Anwahl eines Koordinatensystems (CS)

button Drehung in der Ebene (Konturrotation)

button Koordinatensystem zur Aufspannlagenkorrektur (ACS)

button Verkettung von Koordinatensystemen

button Effektor Koordinatensystem (ECS)

button Temporärer Übergang in das Maschinenkoordinatensystem (MCS)


Anwahl eines Koordinatensystems (CS)

Anwahl

#CS ON

Das BKS kann durch Anwahl eines CS gegenüber dem MKS verschoben und gedreht werden und ermöglicht so eine einfache NC-Programmierung selbst in schrägen oder verdrehten Lagen.

Die Nutzung dieses NC-Befehls hängt von der Achskonfiguration der Maschine ab [CHAN]. Eine Bearbeitung im gedrehten BKS ist vor allem dann sinnvoll, wenn entsprechend vorhandene rotatorische Achsen P-AXIS-00018 eine senkrechte Ausrichtung des Werkzeugs auf die Bearbeitungsfläche ermöglichen (#TOOL ORI CS).

Die Achsbezeichnungen P-CHAN-00006 bleiben im CS erhalten.

v Verschiebungsvektor

Drehvektor

Abbildung 1-4: Anwahl eines CS mit einer Verschiebung und einer Drehung

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Eine Schachtelung/Verkettung von CS ist möglich.

Während der Bearbeitung im CS können Nullpunkt- und Bezugspunktverschiebungen programmiert werden. Diese sind allerdings nur bis zur Abwahl des CS gültig und werden nicht gespeichert.

Abwahl

#CS OFF

Für einfache Drehungen in der Ebene steht auch der folgende NC-Befehl #ROTATION zur Verfügung.

1.2.2.2


Drehung in der Ebene (Konturrotation)

Anwahl | #ROTATION ON
 | Innerhalb der Hauptebene kann das Koordinatensystem per Konturrotation gedreht werden. Die Rotation kann auch innerhalb eines bereits gedrehten Koordinatensystems (CS, ACS) angewandt werden.

Abbildung 1-5: Drehung in der Hauptebene

Wirksamkeit | Wirksam bis zur Abwahl, bzw. bis zum Programmende. Die Konturrotation wirkt in der Hauptebene auf die programmierten Achskoordinaten vor allen anderen konturbeeinflussenden Funktionalitäten, d.h. alle Verschiebungen und Spiegelungen können wie bisher benutzt werden.
 | Ein Ebenenwechsel mit G17/18/19 wählt automatisch eine aktive Konturrotation ab und es wird eine Meldung ausgegeben.

Abwahl

#ROTATION OFF


Koordinatensystem zur Aufspannlagenkorrektur (ACS)

Anwahl | #ACS ON
 | Das ACS dient zur Kompensation einer Schieflage des Werkstücks oder der Werkstückpalette. Das ACS kann unabhängig von einem CS an- bzw. abgewählt werden.

Abbildung 1-6: Anwahl eines Koordinatensystems zur Aufspannlagenkorrektur

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Im ACS können Nullpunkt- und Bezugspunktverschiebungen programmiert werden. Diese sind allerdings nur bis zur Abwahl des ACS gültig und werden nicht gespeichert.

Abwahl

#ACS OFF


Verkettung von Koordinatensystemen

Durch die Kombination von ACS und CS wird die Bearbeitung an einer schiefen Ebene bei schief liegendem Werkstück ermöglicht.

Abbildung 1-7: Kombination von ACS und CS


Effektor Koordinatensystem (ECS)

Anwahl | #ECS ON
 | Das ECS wird hauptsächlich zur Durchführung einer Rückzugsstrategie nach Werkzeugbruch, NC-Reset oder Programmabbruch bei Bearbeitung mit beliebig orientiertem Werkzeug verwendet. Bei der Bestimmung des ECS wird eine zur Werkzeugachse senkrechte Bearbeitungsebene automatisch ermittelt.

Abbildung 1-8: Bearbeitung in schräger Bohrung

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Bei Aktivierung des ECS darf kein anderes Koordinatensystem aktiv sein.

Abwahl

#ECS OFF


Temporärer Übergang in das Maschinenkoordinatensystem (MCS)

Anwahl | #MCS ON [ EX TOOL ]
 | Mit MCS lassen sich aktive Transformationen und alle in die Achsen eingerechneten Versätze temporär deaktivieren, so dass die Maschinenachsen direkt positioniert werden können. Nach Verlassen des MCS wird der bei Anwahl vorhandene Zustand wiederhergestellt.

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Mit der Option EX TOOL werden beim Werkzeugwechsel im MCS keine Werkzeugversätze eingerechnet, so dass auch weiterhin die Maschinenachsen direkt positioniert werden können. Dies erfolgt erst bei #MCS OFF.

Programmierte Verschiebungen sind im MCS nur bis zu dessen Abwahl gültig und werden nicht gespeichert.

Eine Anwahl von CS, ACS, ECS und TLC ist im MCS nicht möglich.

Abwahl

#MCS OFF

1.2.3


Messoffset

Anwahl | G101 <Achsname><Einrechnungsfaktor>
 | Der Messoffset ist der Offset zwischen den aufgenommenen Messwerten und der Zielposition. Mit G101 wird der Messoffset entsprechend vorgegebenem Einrechnungsfaktor als zusätzliche Verschiebung in die Achskoordinaten eingerechnet.

Abbildung 1-9: Messversatz

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Ein neuer Messoffset wirkt sich erst bei Programmierung im absoluten Mess-System (G90) aus.

Abwahl

G102 <Achsname><Dummyzahl>


Handbetrieboffset

Anwahl | #GET IPO OFFSET
 | Die nach G201 während laufender Interpolation zusätzlich beaufschlagten Sollwerte führen zu einer Verschiebung in den Bahnachsen. Nach Abwahl des Handbetriebes mit G202 können diese Offsetwerte mit den Befehlen #GET IPO OFFSET beim Interpolator angefordert und im NC-Programm als zusätzliche Verschiebung in die Achskoordinaten eingerechnet werden [PROG].

Abbildung 1-10: Handbetrieboffset

Wirksamkeit

Wirksam bis zur Programmierung der nächsten Handbetriebsverschiebung bzw. Programmende.

Abwahl

-


Istwertverschiebung

Anwahl | #PSET <Achsname><Neue Istposition> ...
 | Mit diesem NC-Befehl kann der aktuellen Achsposition ein neuer Istwert zugeordnet werden. Der dadurch entstehende Offset wird Istwertverschiebung genannt.

Abbildung 1-11: Istwertverschiebung

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Durch eine Referenzpunktfahrt (G74) wird die Istwertverschiebung aufgehoben.

Eine neue Verschiebung wirkt sich erst bei Programmierung im absoluten Mess-System (G90) aus.

Abwahl | #PRESET {<Achsname><Dummyzahl>}
 | Wird #PRESET ohne Achsangabe programmiert, so werden die Istwertverschiebungen in allen Achsen aufgehoben.

1.2.7


Bezugspunktverschiebung

Anwahl | G92 <Achsbezeichnung> <Verschiebung> ...
 | G92 ermöglicht eine Bezugspunktverschiebung in den angegebenen Achsen um einen frei programmierbaren Wert: additive Nullpunktsverschiebung. Je nach gesetztem G90/G91 wird die aktuell programmierte Bezugspunktverschiebung absolut gesetzt oder zur bisherigen addiert.

Abbildung 1-12: Bezugspunktverschiebung

Wirksamkeit

Wirksam bis zur Programmierung der nächsten Bezugspunktverschiebung, bzw. Programmende.

Eine neue Verschiebung wirkt sich erst bei Programmierung im absoluten Mess-System (G90) aus.

Abwahl

G92 <Achsbezeichnung> 0


Nullpunktverschiebung

Anwahl | G54, ... G59, G159
 | Mit G54  G59 oder G159 werden die entsprechenden Nullpunktverschiebungen aus der Nullpunktverschiebungstabelle [ZERO] angewählt.

Abbildung 1-13: Nullpunktverschiebung

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Eine neue Verschiebung wirkt sich erst bei Programmierung im absoluten Mess-System (G90) aus.

Abwahl

G53


Werkzeugversatz

Anwahl | D <Nummer des Korrekturdatensatzes>
 | Mit dem D-Wort werden die entsprechenden Werkzeuggeometrie-Korrekturdaten aus der Werkzeuggeometrie-Korrekturdatentabelle [TOOL] angewählt.

Abbildung 1-14: Werkzeugversatz

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Abhängig von der Parametrierung wirkt sich ein neuer Versatz entweder direkt bei Anwahl des D-Wortes oder erst bei Programmierung im abso-luten Mess-System (G90) aus P-CHAN-00100.

Abwahl

D 0

Mehr:

button Tool Length Compensation (TLC)


Tool Length Compensation (TLC)

Anwahl | #TLC ON [ < Werkzeuglängendifferenz > ]
 | Mit TLC lassen sich NC-Programme, die von einem Programmiersystem erzeugt wurden und eine bestimmte Werkzeuglänge berücksichtigen, auch bei geänderter Werkzeuglänge an der Maschine weiterverwenden.

Wirksamkeit

Wirksam bis zur Abwahl, bzw. bis zum Programmende.

Es können keine neuen Versätze oder Radien des Werkzeugs korrigiert werden, sondern nur die Länge.

Ein neuer Versatz wirkt sich erst bei Programmierung im absoluten Mess-System (G90) aus.

Abwahl

#TLC OFF


Platzversatz

Anwahl

Die entsprechenden Platzversatz-Korrekturdaten werden [CLMP] bei der NC-Programm-Beauftragung zusammen mit dem NC-Programmnamen angewählt. Im NC-Programm kann der momentan gültige Platzversatzindex über die Variable V.G.AKT_PLATZ gelesen werden.

Abbildung 1-15: Platzversatz

Wirksamkeit

Wirksam bis zum Programmende.

Abwahl

-


Unterdrückung von Verschiebungen

Anwahl | #SUPPRESS OFFSETS
 | Wird dieser Befehl in einem Bewegungssatz programmiert, so werden die programmierten Koordinaten unverändert, d.h. ohne Berücksichtigung von aktiven Verschiebungen (NPV, BPV,.., Werkzeugverschiebung), an den NC-Kanal ausgegeben.

Wirksamkeit

Nur im programmierten NC-Satz gültig

Abwahl

-


Parameter

Mehr:

button Übersicht

button Achsparameter

button Kanalparameter


Übersicht

Konstante | Beschreibung
ACHS_NAME_LAENGE | Maximale Länge der Achsbezeichnung

ID | Parameter | Beschreibung
P-AXIS-00018 | achs_typ | Achstyp
P-CHAN-00006 | bezeichnung | Achsbezeichnung
P-CHAN-00100 | move_tool_offsets_directly | Wirksamkeit von Werkzeugkorrekturen


Achsparameter

P-AXIS-00018

Achstyp

Parameter

kenngr.achs_typ

Beschreibung

Mit diesem Parameter wird der Achstyp einer Achse spezifiziert.

Es gibt eine grundsätzliche Unterscheidung zwischen rotatorischen und translatorischen Achsen. Bei rotatorischen Achsen wird differenziert zwischen Rundachse und Spindel. Für translatorische Achsen existiert nur der Achstyp Linearachse.

Mit dem Achstyp werden im NC-Kern spezielle Funktionalitäten angesprochen. Als Beispiel ist dies die Modulorechnung für Rundachsen oder die Drehzahlüberwachung bei Spindeln.

Datentyp

UNS16

Datenbereich

0x0001 ≤ P-AXIS-00018 ≤ 0x0004

0x0001 Linearachse

0x0002 Rundachse

0x0004 Spindel

Dimension

translatorisch: -

rotatorisch: -

Standardwert

-

Anmerkungen

-


Kanalparameter

P-CHAN-00006 | Achsbezeichnung
Parameter | gruppe[i].achse[j].bezeichnung
Beschreibung | Hier handelt es sich um einen String. Über diese Variable werden die Achsbezeichnungen aller Achsen im Kanal vorgegeben.
Datentyp | STRING
Datenbereich | 0 ≤ P-CHAN-00018 ≤ ACHS_NAME_LAENGE
Dimension | translatorisch: - | rotatorisch: -
Standardwert | 16
Anmerkungen | Die Achsbezeichnungen müssen mit den Buchstaben A, B, C, U, V, W, X, Y, Z oder Q beginnen. Danach sind alle Buchstaben und Ziffern möglich. Die Achsbezeichnungen müssen eindeutig sein.

P-CHAN-00100

Wirksamkeit von Werkzeugkorrekturen

Parameter

move_tool_offsets_directly

Beschreibung

Durch diesen Parameter wird der Zeitpunkt der Wirksamkeit der mit dem D-Wort programmierten Werkzeugkorrekturdaten (Werkzeuglängenkorrektur, Werkzeuglagenkorrektur) bestimmt.

Datentyp

BOOLEAN

Datenbereich

0: Die Ausgleichsbewegung zur Berücksichtigung der neuen Werkzeugkorrekturdaten erfolgt nach dem D-Wort für eine Achse erst dann, wenn die nächste Verfahrinformation absolut (G90) programmiert ist (Defaulteinstellung).

1: Die Ausgleichsbewegung in den entsprechenden Achsen erfolgt ohne Programmierung einer absoluten Wegbedingung direkt mit dem D-Wort (gemäß DIN 66025).

Dimension

translatorisch: -

rotatorisch: -

Standardwert

0

Anmerkungen

-